{% extends("ubiquitous.twig") %}

{% block title %}
  {% trans %}Support the Tor Project Today!{% endtrans %}
{% endblock %}

{% block head %}
  {% include 'default-meta-tags.twig' %}
{% endblock %}

{% block header %}
  {% include 'donate-header.twig' %}
{% endblock %}

{% block content %}
  <div class="payment-other-div container">
    <a class="hyperlinks links" href="/">{% trans %}Want to donate by credit card or PayPal?{% endtrans %}</a>
  </div>
  <div class="intro-text-section container">
    <div class="intro-text">
      <div class="preamble">
        <p>
          {% trans %}Donate using BTCPayServer{% endtrans %}
        </p>
      </div>
      <div class="btc-form">
        <form method="POST" action="https://fund.btcpayserver.org/api/v1/invoices" style="width:418px; margin:auto;">
          <input type="hidden" name="storeId" value="9Ac1k57DGMpL2QeYeqSiNcpq6tor6NAGgiuYYij3tPaE" />
          <div style="text-align:center;display:block;">
            <div>
              <button style="cursor:pointer; font-size:25px; line-height: 25px; background: rgba(0,0,0,.1); height: 30px; width: 45px; border:none; border-radius: 60px; margin: auto;" onclick="event.preventDefault(); var price = parseInt(document.querySelector('#btcpay-input-price').value); if ('-' == '-' && (price - 1) < 1) { return; } document.querySelector('#btcpay-input-price').value = parseInt(document.querySelector('#btcpay-input-price').value) - 1;">
                -
              </button>
              <input type="text" id="btcpay-input-price" name="price"  min="1" max="20" step="1"  value="10" style="border: none; background-image: none; background-color: transparent; -webkit-box-shadow: none ; -moz-box-shadow: none ; -webkit-appearance: none ; width: 3em; text-align: center; font-size: 25px; margin: auto; border-radius: 5px; line-height: 35px; background: #fff;" oninput="event.preventDefault();isNaN(event.target.value) || event.target.value <= 0 ? document.querySelector('#btcpay-input-price').value = 10 : event.target.value"  />
              <button style="cursor:pointer; font-size:25px; line-height: 25px; background: rgba(0,0,0,.1); height: 30px; width: 45px; border:none; border-radius: 60px; margin: auto;" onclick="event.preventDefault(); var price = parseInt(document.querySelector('#btcpay-input-price').value); if ('+' == '-' && (price - 1) < 1) { return; } document.querySelector('#btcpay-input-price').value = parseInt(document.querySelector('#btcpay-input-price').value) + 1;">
                +
              </button>
            </div>
            <select  onmouseover="this.style.border='solid #ccc 1px'; this.style.padding='0px'"  onmouseout="this.style.border='0'; this.style.padding='1px'" onchange="document.querySelector('input[type = hidden][name = currency]').value = event.target.value" style="border: 0; display: block; padding: 1px; margin: auto auto 5px auto; font-size: 11px; background: 0 0; cursor: pointer;">
              <option value="USD">USD</option>
              <option value="GBP">GBP</option>
              <option value="EUR">EUR</option>
              <option value="BTC">BTC</option>
            </select>
          </div>
          <input type="hidden" name="currency" value="USD" />
          <input type="image" src="https://fund.btcpayserver.org/img/paybutton/pay.png" name="submit" style="width:209px; display:block; margin:auto;" alt="Pay with BtcPay, Self-Hosted Bitcoin Payment Processor">
        </form>

        <a class="btc-onion-link" href="http://sqgf7aihkpxwdtcb3zjf62jo63o5yqjckukioas3aropdmcay4ymepid.onion/apps/2xcGbmQoXHddtFPs5oYJJ79DCrFC/pos">Donate using the BTC onion site</a>
      </div>
      <div class="preamble">
        <p>
          {% trans %}Donate using wallet addresses{% endtrans %}
        </p>
      </div>
      <p>
        {% trans %}Please fill out this form and then send your coins to the appropriate wallet.{% endtrans %} {% trans %}Filling out the form is not necessary, but doing so will notify us about your donation quickly, allow us to send you an acknowledgement, and let us know your communication preferences.{% endtrans %}
      </p>
      <p>
        {% trans %}Below you will find the cryptocurrencies we accept and our wallet addresses.{% endtrans %} {% trans %}The wallet addresses will be displayed again after you complete the form.{% endtrans %} {% trans %}Please make sure to copy the wallet addresses exactly when making your donation, as we cannot recover funds sent to the wrong wallet.{% endtrans %}
      </p>
      <p>
      {% trans %}If you have any questions, or would like to donate a cryptocurrency not listed below, please email us at giving@torproject.org.{% endtrans %}
      </p>
    </div>
  </div>
  <noscript>
    {% include 'cryptocurrency-no-js.twig' %}
  </noscript>
  <div id="cryptocurrency-form" class="container"></div>
  <div class="js-translatable-strings" style="display: none;">
    <div id="t-copied">{% trans %}Copied{% endtrans %}</div>
    <div id="t-currency-amount-must-be-number">{% trans %}Currency Amount must be a number.{% endtrans %}</div>
    <div id="t-choose-currency">{% trans %}Choose a Currency{% endtrans %}</div>
    <div id="t-currency-amount">{% trans %}Currency Amount{% endtrans %}</div> <div id="t-estimated-donation-date">{% trans %}Estimated Donation Date{% endtrans %}</div>
    <div id="t-donate-anonymously">{% trans %}I'd like to make my donation anonymous.{% endtrans %}</div>
    <div id="t-email">{% trans %}Email{% endtrans %}</div>
    <div id="t-first-name">{% trans %}First Name{% endtrans %}</div>
    <div id="t-last-name">{% trans %}Last Name{% endtrans %}</div>
    <div id="t-report-donation">{% trans %}Report Donation{% endtrans %}</div>
    <div id="t-start-email-updates">{% trans %}Start sending me email updates about the Tor Project!{% endtrans %}</div>
    <div id="t-wallet-addresses">{% trans %}Wallet Addresses{% endtrans %}</div>
    <div id="t-your-info">{% trans %}Your Info{% endtrans %}</div>
  </div>
  <script>
    window.reactComponents = [{
      id: 'cryptocurrency-form',
      name: 'CryptocurrencyForm',
      props: {
        wallets: {{ wallets_json | raw }},
      },
    }];
  </script>
{% endblock %}
